# PSOAPClient Class Reference

SOAP client classes. More...

`#include <psoap.h>`

Inheritance diagram for PSOAPClient:

List of all members.

## Public Member Functions

| PSOAPClient (const PURL &url)
void | SetTimeout (const PTimeInterval &_timeout)
PBoolean | MakeRequest (const PString &method, const PString &nameSpace)
PBoolean | MakeRequest (const PString &method, const PString &nameSpace, PSOAPMessage &response)
PBoolean | MakeRequest (PSOAPMessage &request, PSOAPMessage &response)
PString | GetFaultText () const
PINDEX | GetFaultCode () const
void | setSOAPAction (PString saction)
| Set a specific SOAPAction field in the HTTTP header, default = " ".

## Protected Member Functions

PBoolean | PerformRequest (PSOAPMessage &request, PSOAPMessage &response)

## Protected Attributes

PURL | url
PINDEX | faultCode
PString | faultText
PTimeInterval | timeout

## Detailed Description

SOAP client classes.

## Constructor & Destructor Documentation

PSOAPClient::PSOAPClient | ( | const PURL & | url | ) |

## Member Function Documentation

PINDEX PSOAPClient::GetFaultCode | ( |  | ) | const`[inline]`

PString PSOAPClient::GetFaultText | ( |  | ) | const`[inline]`

PBoolean PSOAPClient::MakeRequest | ( | PSOAPMessage & | request,
|  | PSOAPMessage & | response |
| ) |  |  |

PBoolean PSOAPClient::MakeRequest | ( | const PString & | method,
|  | const PString & | nameSpace,
|  | PSOAPMessage & | response |
| ) |  |  |

PBoolean PSOAPClient::MakeRequest | ( | const PString & | method,
|  | const PString & | nameSpace |
| ) |  |  |

PBoolean PSOAPClient::PerformRequest | ( | PSOAPMessage & | request,
|  | PSOAPMessage & | response |
| ) |  |  | `[protected]`

void PSOAPClient::setSOAPAction | ( | PString | saction | ) | `[inline]`

Set a specific SOAPAction field in the HTTTP header, default = " ".

void PSOAPClient::SetTimeout | ( | const PTimeInterval & | _timeout | ) | `[inline]`

## Member Data Documentation

PINDEX PSOAPClient::faultCode `[protected]`

PString PSOAPClient::faultText `[protected]`

PTimeInterval PSOAPClient::timeout `[protected]`

PURL PSOAPClient::url `[protected]`

The documentation for this class was generated from the following file:

- psoap.h